Page MenuHomePhabricator

efl.text.cursor: emit events CANVAS_TEXTBLOCK_CHANGED when insert text using efl_text_cursor_markup_insert
ClosedPublic

Authored by ali.alzyod on Dec 30 2019, 5:58 AM.

Details

Summary

efl.text.cursor: emit events CANVAS_TEXTBLOCK_CHANGED when insert text using efl_text_cursor_markup_insert

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
ali.alzyod created this revision.Dec 30 2019, 5:58 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

ali.alzyod requested review of this revision.Dec 30 2019, 5:58 AM
ali.alzyod edited the summary of this revision. (Show Details)Dec 30 2019, 6:00 AM
ali.alzyod added reviewers: woohyun, zmike, bu5hm4n, cedric.
bu5hm4n requested changes to this revision.Dec 31 2019, 2:33 AM

Looks good beside that, and seems to work, thank you :)

src/lib/evas/canvas/evas_object_textblock.c
8527

Due to adding this check as a early return condition. the check in 8536 is not needed anymore.

This revision now requires changes to proceed.Dec 31 2019, 2:33 AM
ali.alzyod updated this revision to Diff 27887.Dec 31 2019, 3:08 AM

remove condition

ali.alzyod marked an inline comment as done.Dec 31 2019, 3:08 AM
bu5hm4n requested changes to this revision.Dec 31 2019, 3:36 AM

Well, removing the condition also means removing the "{" from if, and removing 5 spaces from each line in the block... (I know that is annoying work, check out your editor how you can fix the intention of a lot of lines at once, that should help.)

This revision now requires changes to proceed.Dec 31 2019, 3:36 AM
bu5hm4n accepted this revision.Jan 2 2020, 3:16 AM
This revision is now accepted and ready to land.Jan 2 2020, 3:16 AM
Closed by commit rEFL41c7e1c90877: efl.text.cursor: emit events CANVAS_TEXTBLOCK_CHANGED when insert text using… (authored by ali.alzyod, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJan 2 2020, 3:17 AM
This revision was automatically updated to reflect the committed changes.